Tuesday, 3 December 2013

Re: Ubuntu Server seeded package review

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

On Dec 03, 2013, at 04:33 PM, James Page wrote:

>As part of tidying for the next LTS release, the Server Team are
>proposing a review of server released seeded packages that are
>currently in Ubuntu main (proposed changes tracked in [0] for now).

Continuing to demote Python 2, we want to get rid of it on server[*] if at all
possible. For example, I've identified byobu, landscape-common, and vim as
three packages with `Task: server` pulling in Python 2.7.

For byobu, we have LP: #1253458, currently waiting on some feedback from
Dustin.

For vim, we have http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=729924
currently waiting on feedback from Debian Vim maintainers. I'm not a Vim
user, but if you want to help test this, a package is available in my PPA:

https://launchpad.net/~barry/+archive/experimental

Based on your feedback, I'd be willing to temporarily get ahead of Debian here.

landscape-client may be trickier because that gets us into some Twisted
packages, which aren't yet packaged for Python 3.

See also (and add anything missing!):

https://blueprints.launchpad.net/ubuntu/+spec/core-1311-python3-roadmap
http://tinyurl.com/mmj4y6a

>http://bazaar.launchpad.net/~ubuntu-core-dev/ubuntu-seeds/ubuntu.trusty/view/head:/server-ship

>Description: Server ISO image
>
>nut, nut-cgi, nut-snmp (move to supported-misc-servers)
>likewise-open (largely unmaintained in distro -
>https://help.ubuntu.com/community/LikewiseOpen)
>powernap, powernap-server (still revelvant?)

Looks like powernap still depends on Python 2.

>quagga (maybe move to supported-misc-servers)
>backuppc
>python-beautifulsoup

Whatever is pulling this one in should be ported to python3-bs4, or at least
python-bs4 since afaict beautifulsoup 3 is no longer being actively maintained
upstream (critical bug fixes only according to them).

>python-genshi (will be pulled into main via supported-misc-servers ...

Upstream 0.7 supports Python 3, but not yet Debian - BTS #731280.

>python-pecan)

Upstream 0.4.2 supports Python 3, but not yet Debian - BTS #731283.

Cheers,
- -Barry
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iQIcBAEBCAAGBQJSnmBKAAoJEBJutWOnSwa/6vsP/jNdnhx9xIM7HiNvgaL0QIr0
DTuZwxL87E086hdDY0X8fqTf/vT+Xo+zecuHwedePIOL8BZlA/mWX8Bsge7nQc3g
1jInf6rBR6qNMgEos1gh/5xTJgvq+WS7zLLrPwabejWmOlyT7R13mPEEuJ5ozBfC
G8QcH5Hl61B84SbTd2Pfxjfr+ae6gxsfuqhQcYJ4JuIQ5EIvSV0txvG2tRJuUaCG
AXGg3kiX4IbjeKIMIr4MO9YRlNhgJTp1QR8j4wsZU8yH3xyjukOeBd5jlD+zItT8
ZlCVdiXZaPR3qsBNIZTszVQ8W00h6515BOhdW/RydmyzA/bf15usaJPImlJjpQ0d
AWEpsO3a9RlKzJBmfiwNYAkUPBd+xRNT0DVDRF+XhVrUJLhee/U3VUl6luzu2I1V
rYC0XU8TneEp92D0XNHM9IyNft0/UyfYQbioTBfb2NBnPRoa6pR25JsPMpod4fBW
KBGvAcSg3Xkir7yghCQLNKIE5K6wb3gLufOXTjqnMSjajOk4NnRfI3hBHoiXMkh+
0fmkwpWHUeYbF7Hol+DYC297Nd/AbYxBfaE2FnC0ElE9Y6tjs/o9krarRtEX1Ay0
kIYDTRMUBSMRhjm5TGY7LPKeOdMZHXfUTf75vtKdSecHk9Gt4hOvqR2J1Wh7nj82
Vf7zIIz9Rl37N2JU8Hwe
=A7DV
-----END PGP SIGNATURE-----
--
ubuntu-devel mailing list
[email protected]
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-devel